Aggiornare pepperflashplugin-nonfree 32 bit

Audio, Video, Grafica...

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Lioce » 30/03/2016, 23:50

Anche da root dist-upgrade non produce effetti.

Ho commentato i backports in /etc/apt/sources.list, ho disinstallato firefox e provato ad installare la versione amd64

Codice: Seleziona tutto
# apt-get -t jessie-backports install firefox:amd64
......
0 aggiornati, 159 installati, 0 da rimuovere e 0 non aggiornati
......
Continuare? [S/n] n


La lista dei pacchetti è più o meno quella di prima e non la riporto, non si producono conflitti, non disinstalla niente e non ci sono avanzamenti di versione, ma non ho continuato: 159 pacchetti da installare. Va bene, e poi dopo? Come dovrei procedere?
Lioce
Full Member
Full Member
 
Messaggi: 146
Iscritto il: 30/03/2014, 21:17

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda nydebianized » 30/03/2016, 23:55

installa e poi fai lo stesso con pepperflashplugin:amd64

poi riabilita i repo backports e vediamo quali sono i conflitti
dd if=/dev/brain of=/dev/head
Avatar utente
nydebianized
Sr. Member
Sr. Member
 
Messaggi: 338
Iscritto il: 08/11/2006, 4:43

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Lioce » 31/03/2016, 15:37

@ nydebianized
Innanzitutto ti ringrazio del tempo che mi dedichi. Scusami se non ti ho già ringraziato ieri, ero evidentemente un po' fuori di testa e scusatemi tutti per aver bombardato il forum con output chilometrici e inutili.
Hai tutta la mia stima e la mia fiducia, perciò ti prego di non prendere quello che sto per scrivere come una critica alla tua persona.

Ho scelto il ramo stabile di Debian perché uso il mio laptop (unica macchina in mio possesso) anche per lavoro: voglio essere sicuro di avere un sistema utilizzabile ogni volta che mi serve.

Ma ho anche altre priorità:
- Kernel: il kernel 4.4.0 è il migliore che abbia mai sperimentato. Finalmente le ventole del laptop hanno la loro pace.
vorrei averlo anche nella versione amd64. Per ora mi devo accontentare del 3.16.
- sistemd: utilizzo svinit-core
- browser: per quanto mi riguarda esiste solamente Firefox sempre aggiornato
- LibreOffice: utilizzo la versione originale, fresh, sempre aggiornata (= una cinquantina di pacchetti obsoleti, ecc.)
- KDE: un pacco di roba
- CUPS ...ecc...ecc.

Allora la domanda è: quanto stabile rimane il sistema dopo una migrazione verso amd64 a metà? Non converrebbe farla tutta in una volta?
Lioce
Full Member
Full Member
 
Messaggi: 146
Iscritto il: 30/03/2014, 21:17

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 31/03/2016, 16:06

@nydebianized
Ti ringrazio per le precisazioni :)

Con gli interventi successivi tuoi e di Lioce "credo" anche di aver messo ordine al casino che avevo in testa.
Selky
wiki member
wiki member
 
Messaggi: 1434
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda nydebianized » 31/03/2016, 19:53

@Lioce
Ma figurati, ti ringrazio a mia volta per la pazienza.

E' normale che quando si modifica qualcosa nel sistema, specialmente per una distribuzione stabile vi siano dei dubbi sul come e perchè procedere a scombussolare un qualcosa che funziona gia.

Ora, per rispondere alla domanda sulla migrazione del sistema, io te la sconsiglio in quanto non anche se è una procedura documentata io non l'ho mai fatta.

E non la stiamo facendo neanche ora, noi stiamo solo aggiungendo le librerie ed il kernel necessario al funzionamento di uno o più pacchetti a 64 bit dentro un sistema a 32bit.

https://wiki.debian.org/Migrate32To64Bit

Migrazione del sistema vuol dire

Creare un sotto-ambiente a 64bit scaricando il debootstrap
Fare chroot nel sotto-ambiente a 64
Prendere la lista dei pacchetti presenti nel sistema
Scaricare le versioni a 64 bit dei pacchetti presenti nel sistema
Sovrascrivere il sistema a 32
[qui la lista continua]

cosa che secondo me prenderebbe troppo tempo e che è meno conveniente di una re-installazione diretta.


Noi al momento stiamo solo

Utilizzando un kernel a 64 (che è indipendente dal sistema che ci girerà sopra) per utilizzare le istruzioni a 32 delle librerie di sistema e le istruzioni a 64 bit delle librerie relative a firefox (64) e pepperflash (64)

La stabilità del sistema dipende dai pacchetti stessi (che stiamo prelevando dal ramo stable).
La procedura che stiamo utilizzando è reversibile

-rimozione nuova architettura
-rimozione nuove librerie
-re-installazione di firefox e pepperflash

In quanto i pacchetti in Stable restano gli stessi
dd if=/dev/brain of=/dev/head
Avatar utente
nydebianized
Sr. Member
Sr. Member
 
Messaggi: 338
Iscritto il: 08/11/2006, 4:43

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Lioce » 31/03/2016, 22:53

Ho installato Firefox:amd64 e tutte le librerie (backports commentati nel sources.list come ho detto in precedenza).
È in inglese, mi ha dato errore quando ho cercato di scaricare anche firefox-l10n-de e firefox-l10n-it, ma non fa niente perché
ho comunque la possibilità di scegliere la lingua del correttore.

Il problema è sorto quando ho cercato di installare pepperflashplugin-nonfree:amd64. C'è un conflitto con binutils:

Codice: Seleziona tutto
I seguenti pacchetti hanno dipendenze non soddisfatte:
 binutils:amd64 : Va in conflitto: binutils ma 2.25-5 è installato.
 binutils : Va in conflitto: binutils:amd64 ma 2.25-5 sta per essere installato.


Vuole disinstallarmi questo:

Codice: Seleziona tutto
Le seguenti azioni permetteranno di soddisfare queste dipendenze:

      Rimuovere i seguenti pacchetti:                         
1)      alien                                                 
2)      binutils                                               
3)      build-essential                                       
4)      debhelper                                             
5)      dkms                                                   
6)      dpkg-dev                                               
7)      epson-inkjet-printer-201105w                           
8)      g++                                                   
9)      g++-4.9                                               
10)     gcc                                                   
11)     gcc-4.9                                               
12)     linux-compiler-gcc-4.9-x86                             
13)     linux-headers-4.4.0-0.bpo.1-686-pae                   
14)     linux-headers-686-pae                                 
15)     lsb                                                   
16)     lsb-core                                               
17)     lsb-cxx                                               
18)     lsb-desktop                                           
19)     lsb-graphics                                           
20)     lsb-languages                                         
21)     lsb-multimedia                                         
22)     lsb-printing                                           
23)     network-manager-pptp                                   
24)     pptp-linux                                             

      Leave the following dependencies unresolved:             
25)     lsb-security raccomanda lsb-core (>= 4.1+Debian13+nmu1)
26)     plasma-nm raccomanda network-manager-pptp             


Accettare questa soluzione? [Y/n/q/?] q


A questo punto mi sono fermato.

L'output di tutte le operazioni è qui:

http://paste.debian.net/423089/

EDIT
Ovviamente adesso firefox sul kernel 686-pae non si avvia:

Codice: Seleziona tutto
$ firefox
bash: /usr/bin/firefox: cannot execute binary file: Formato eseguibile non valido
$
Lioce
Full Member
Full Member
 
Messaggi: 146
Iscritto il: 30/03/2014, 21:17

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda nydebianized » 01/04/2016, 9:35

Sto fuori casa al momento quindi ti rispondo brevemente, il pacchetto pepper flash non fa altro che scaricare google-Chrome ed estrarre il plug in dopo una conversione per l'utilizzo con debian... quindi richiede l'installazione delle librerie a 64 per la compilazione. Il mio consiglio invece è installare Google Chrome beta e prendere il plug in da li per poi copiarlo dentro Firefox e rimuovere Chrome dopo il passaggio.
dd if=/dev/brain of=/dev/head
Avatar utente
nydebianized
Sr. Member
Sr. Member
 
Messaggi: 338
Iscritto il: 08/11/2006, 4:43

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Lioce » 01/04/2016, 21:56

Scusatemi, ma sono costretto ad interrompere l'esperimento. Poi si vedrà.

https://wiki.debian.org/Multiarch/HOWTO

To remove an architecture

dpkg --remove-architecture <arch>

dpkg architectures are stored in /var/lib/dpkg/arch.

Note that you need to remove all packages of that architecture before removing it:

apt-get purge ".*:<arch>"


Tra l'altro non noto nessun vantaggio dall'utilizzo del kernel amd64.
Per esempio: ho 4 GB di ram e il kernel amd64 mi vede questo:

Codice: Seleziona tutto
$ free -h
             total       used       free     shared    buffers     cached
Mem:          3,6G       764M       2,9G        53M        33M       393M
-/+ buffers/cache:       337M       3,3G
Swap:         511M         0B       511M


Mentre il kernel 686-pae mi vede

Codice: Seleziona tutto
$ free -h
             total       used       free     shared    buffers     cached
Mem:          3,7G       820M       2,9G        58M        36M       440M
-/+ buffers/cache:       343M       3,4G
Swap:         511M         0B       511M


Addirittura qualcosa in più! Magari per chi ha più di 4 GB sarà diverso.

P.S.
La partizione swap così piccola l'ho creata solo per non avere problemi in fase di installazione, mai usata e non mi serve.
Lioce
Full Member
Full Member
 
Messaggi: 146
Iscritto il: 30/03/2014, 21:17

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 07/04/2016, 19:28

Riporto un momento a galla questo thread. Stavo pensando: dal momento che i sorgenti di Pepperflash esistono, non potrebbe essere addirittura più conveniente compilarselo alla bisogna?
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 754
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 08/04/2016, 14:39

@Underpass
sicuramente per chi ha dimestichezza con certe pratiche, è più conveniente.

Per chi non ha queste competenze e desidera/ha necessità di questo plugin:
Aggiornamento arrivato anche per la versione 21.0.0.213
http://alien.slackbook.org/blog/april-1 ... obe-flash/
prelevabile qua http://www.slackware.com/~alien/slackbu ... g/current/

Anche se non uso più flash da parecchio se non per i test, personalmente ringrazio la persona che se ne occupa, essendo l'unico al momento che lo mantiene.
Selky
wiki member
wiki member
 
Messaggi: 1434
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 08/04/2016, 15:02

Finché ce lo compilano gli amici di Slackware, probabilmente è ancora più conveniente prelevarlo dal link che hai indicato tu ;)
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 754
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 10/04/2016, 18:22

Piccolo appunto per aggiornare, tra l'altro su stretch è stato rimosso il pacchetto pepperflash.

* Rimuovere il file in /var/cache/pepperflashplugin-nonfree/

* Inserire i due file del pacchetto prelevato dai repo di Slackware:
- manifest.json
- libpepflashplayer.so
in /usr/lib/pepperflashplugin-nonfree/

* cancellare nei profili di iceweasel/firefox il file
- pluginreg.dat
perchè contiene la versione precedente memorizzata e Freshplayerplugin non vede la nuova.
Selky
wiki member
wiki member
 
Messaggi: 1434
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Mokmo » 23/04/2016, 12:11

Volevo segnalare la procedura che ho seguito per aggiornare pepperflashplayer (grazie alle indicazioni di Selky, va detto :) ):

Ho risolto in modo leggermente diverso rispetto alle soluzioni indicate nel post, di seguito la procedura:
- se non lo si è già installato, installare il pacchetto "pepperflashplugin-nonfree" (io ho prelevato la versione 1.8.2 da Sid)
- scaricare Chrome da qui: https://www.google.com/chrome/browser/t ... form=linux
- NON installare Chrome, ma estrarre il contenuto in una cartella a piacere
- nella cartella *google-chrome-stable_current_amd64/opt/google/chrome/PepperFlash/ dovrebbero esserci i file "libpepflashplayer.so" e "manifest.json"
- controllare che ci sia la cartella /usr/lib/pepperflashplugin-nonfree/
- copiare e incollare i file "libpepflashplayer.so" e "manifest.json" nella cartella /usr/lib/pepperflashplugin-nonfree/

Adesso sia Chromium sia Firefox dovrebbero avere il Flash player!

PS: io ho scaricato le versioni a 64 bit, ma tutto dovrebbe funzionare anche per le versioni 32 bit.
Samsung R610 AS01IT | CPU Intel Core 2 Duo P8600 | nVidia GeForce 9200M GS - 512 MB gDDR2 dedicati | scheda wireless Intel 802,11 a/b/g/n | RAM 4GB DDR2

Debian Testing - Linux 4.9.0-2-amd64
Cinnamon 3.2.7
Mokmo
Full Member
Full Member
 
Messaggi: 189
Iscritto il: 08/03/2009, 21:15

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 23/04/2016, 17:34

Mi fa piacere tu abbia risolto :)

Mokmo ha scritto:PS: io ho scaricato le versioni a 64 bit, ma tutto dovrebbe funzionare anche per le versioni 32 bit.
Purtroppo no, per tale motivo questo thread.

Riferimento aggiunto anche nella guida Installare Adobe Flash Player - PepperFlashPlayer
Selky
wiki member
wiki member
 
Messaggi: 1434
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 19/05/2016, 17:58

Terminata la possibilità di avere il plugin per architetture a 32 bit.
L'ultima presente nel repository Slackware è la 21.0.0.213-i386, non sicura, e non sarà più aggiornata.

Ultimo aggiornamento di Flash è la v. 21.0.0.242.
Selky
wiki member
wiki member
 
Messaggi: 1434
Iscritto il: 30/12/2011, 1:00

PrecedenteProssimo

Torna a Multimedia

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti